
$mat-blue-warm: (
  50: #e8f8ff,
  100: #def4ff,
  200: #cfecfc,
  300: #badff2,
  400: #98c7e0,
  500: #6da9c7,
  600: #3d7a99,
  700: #1f4e66,
  800: #0f384d,
  900: #0f384d,
  A100: #def4ff,
  A200: #cfecfc,
  A400: #98c7e0,
  A700: #1f4e66,
  contrast: (
    50: $bluewarm-lighter,
    100: $bluewarm-lighter,
    200: $bluewarm-lighter,
    300: $bluewarm-dark,
    400: $bluewarm-dark,
    500: $bluewarm-dark,
    600: $bluewarm-dark,
    700: $bluewarm-dark,
    800: $bluewarm-dark,
    900: $bluewarm-dark,
    A100: $bluewarm-lighter,
    A200: $bluewarm-lighter,
    A400: $bluewarm-dark,
    A700: $bluewarm-dark,
  )
);

@use '../../node_modules/@angular/material' as mat;

@import "../../node_modules/@angular/material/theming";
@import url("https://fonts.googleapis.com/icon?family=Material+Icons");
@import url('https://fonts.googleapis.com/css2?family=Prompt&display=swap');
// TODO: These are different with NG11. Double check -- Start
@include mat.core();

$primary: mat.define-palette($mat-blue-warm);
$accent:  mat.define-palette($mat-grey, A200, A100, A400);

// Define a light theme
$theme: mat.define-light-theme((
 color: (
   primary: $primary,
   accent: $accent
 ),
 density: 0,
));

// Apply the theme
@include mat.all-component-themes($theme);
// TODO: These are different with NG11. Double check -- End

.risr-material {
  .cdk-global-overlay-wrapper, .cdk-overlay-container {
    z-index: 2000;
  }

  .mat-card-header {
    align-items: center;
  }

  .mat-card-header .mat-card-title {
    margin-bottom: 0;
  }

  .mat-form-field {
    flex-grow: 1;
  }

  /*.mat-form-field-appearance-legacy .mat-form-field-wrapper {
    padding-bottom: 0;
  }*/

  .mat-chip-list-wrapper {
    margin: 0.25rem;
  }

  .mat-button-toggle-appearance-standard .mat-button-toggle-label-content {
    line-height: 2rem;
    padding: 0 0.5rem;
  }

  .mat-button-toggle-appearance-standard {
    @include themify($themes) {
      background-color: themed("tab-background-color");
      color: themed("tab-color");
    }
  }

  .mat-button-toggle {
    @include themify($themes) {
      color: themed("tab-color");
    }
  }

  .mat-button-toggle-checked {
    @include themify($themes) {
      background: themed("tab-selected-background");
      color: themed("tab-selected-color");
    }
  }

  .mat-button-toggle-checked.mat-button-toggle-appearance-standard {
    @include themify($themes) {
      background: themed("tab-selected-background");
      color: themed("tab-selected-color");
    }
  }
}
